# Method: devices.create

Creates a device. Only company-owned device may be created.

**Note**: This method is available only to customers who have one of the following SKUs: Enterprise Standard, Enterprise Plus, Enterprise for Education, and Cloud Identity Premium

### HTTP request

`POST https://cloudidentity.googleapis.com/v1beta1/devices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "device": { object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices#Device`) }, "customer": string } ``` |

| Fields ||
|---|---|
| `device` | ``object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/devices#Device`)`` Required. The device to be created. The name field within this device is ignored in the create method. A new name is created by the method, and returned within the response. Only the fields `deviceType`, `serialNumber` and `assetTag` (if present) are used to create the device. All other fields are ignored. The `deviceType` and `serialNumber` fields are required. |
| `customer` | `string` Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customerId}`, where customerId is the customer to whom the device belongs. |

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/identity/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.devices`
- `https://www.googleapis.com/auth/cloud-identity`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).